org.jboss.netty.handler.codec.http.websocketx

## Enum WebSocket08FrameDecoder.State

- java.lang.Object
- - java.lang.Enum<WebSocket08FrameDecoder.State>
  - - org.jboss.netty.handler.codec.http.websocketx.WebSocket08FrameDecoder.State

- All Implemented Interfaces:
    Serializable, Comparable<WebSocket08FrameDecoder.State>
  Enclosing class:
    WebSocket08FrameDecoder

      public static enum WebSocket08FrameDecoder.State
      extends Enum<WebSocket08FrameDecoder.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CORRUPT`
    `FRAME_START`
    `MASKING_KEY`
    `PAYLOAD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebSocket08FrameDecoder.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebSocket08FrameDecoder.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FRAME_START

          public static final WebSocket08FrameDecoder.State FRAME_START

    - #### MASKING_KEY

          public static final WebSocket08FrameDecoder.State MASKING_KEY

    - #### PAYLOAD

          public static final WebSocket08FrameDecoder.State PAYLOAD

    - #### CORRUPT

          public static final WebSocket08FrameDecoder.State CORRUPT

  - ### Method Detail

    - #### values

          public static WebSocket08FrameDecoder.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocket08FrameDecoder.State c : WebSocket08FrameDecoder.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocket08FrameDecoder.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2012 The Netty Project. All Rights Reserved.